<?php
$wp_customize->add_section(
    'banner_section',
    array(
        'title' => __( 'Banner Section', 'Luzuk' ),
        'panel' => 'luzuk_premium_home_panel'
    )
);

$wp_customize->add_setting(
    'banner_section_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'banner_section_disable',
        array(
            'settings'      => 'banner_section_disable',
            'section'       => 'banner_section',
            'label'         => __( 'Disable Section', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk' ),
                'off' => __( 'No', 'Luzuk' )
            ),
        )
    )
);

backgroundManager($wp_customize, 'banner', 'banner_section', $color='#F5DBC1', get_template_directory_uri().'/images/default.png', 'img');

lzCustomLable($wp_customize, 'sec_bannerpadding', 'banner_section', 'Section Padding');

$wp_customize->add_setting(
    'bannerTpadding', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'bannerTpadding',
    array(
        'settings'      => 'bannerTpadding',
        'section'       => 'banner_section',
        'type'          => 'text',
        'label'         => __( 'Top', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'bannerBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'bannerBpadding',
    array(
        'settings'      => 'bannerBpadding',
        'section'       => 'banner_section',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'Luzuk' )
    )
);

lzCustomLable($wp_customize, 'sec_call_lefcorner', 'banner_section', 'Left Side Corner ');

$wp_customize->add_setting(
    'banner_shape_text1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '100%', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'banner_shape_text1',
    array(
        'settings'      => 'banner_shape_text1',
        'section'       => 'banner_section',
        'type'          => 'text',
        'label'         => __( 'Left Side Corner Text 1 ', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'banner_shape_text2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Natural', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'banner_shape_text2',
    array(
        'settings'      => 'banner_shape_text2',
        'section'       => 'banner_section',
        'type'          => 'text',
        'label'         => __( 'Left Side Corner Text 2', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'banner_leftcrnerbgclr', 'banner_section', 'Left Side Corner BG Color', '#d88e2d');

addColorPalatOption($wp_customize, 'banner_leftcrnertxtbgclr', 'banner_section', 'Left Side Corner Text Box BG Color', '#543602');

addColorPalatOption($wp_customize, 'banner_leftcrnertxtbrdclr', 'banner_section', 'Left Side Corner Text Box Border Color', '#d88e2d');

addColorPalatOption($wp_customize, 'banner_leftcrnertxtclr', 'banner_section', 'Left Side Corner Text Color', '#F6E8DA');

lzCustomLable($wp_customize, 'sec_call_leftbox', 'banner_section', 'Section Image');

$wp_customize->add_setting(
    'banner_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'banner_image',
        array(
            'section' => 'banner_section',
            'settings' => 'banner_image',
            'description' => __('Recommended Image Size: 520X580px', 'luzuk-premium')
        )
    )
);

$wp_customize->add_setting(
    'banner_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'banner_title_heading',
        array(
            'settings'      => 'banner_title_heading',
            'section'       => 'banner_section',
            'label'         => __( 'Section Heading And Sub Heading', 'Luzuk' ),
        )
    )
);

$wp_customize->add_setting(
    'banner_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'START YOUR DAY WITH TEA', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'banner_title',
    array(
        'settings'      => 'banner_title',
        'section'       => 'banner_section',
        'type'          => 'text',
        'label'         => __( 'Heading ', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'banner_sub_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'PREMIUM TEA', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'banner_sub_title',
    array(
        'settings'      => 'banner_sub_title',
        'section'       => 'banner_section',
        'type'          => 'text',
        'label'         => __( 'Sub Heading ', 'Luzuk' )
    )
); 

$wp_customize->add_setting(
    'banner_sub_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'SUPER OFFER', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'banner_sub_text',
    array(
        'settings'      => 'banner_sub_text',
        'section'       => 'banner_section',
        'type'          => 'text',
        'label'         => __( 'Heading Text', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'banner_sub_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'SUPER OFFER', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'banner_sub_text',
    array(
        'settings'      => 'banner_sub_text',
        'section'       => 'banner_section',
        'type'          => 'text',
        'label'         => __( 'Heading Text', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'banner_discount_text1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Discount', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'banner_discount_text1',
    array(
        'settings'      => 'banner_discount_text1',
        'section'       => 'banner_section',
        'type'          => 'text',
        'label'         => __( 'Discount Text 1', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'banner_discount_text2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( ' 50% Off', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'banner_discount_text2',
    array(
        'settings'      => 'banner_discount_text2',
        'section'       => 'banner_section',
        'type'          => 'text',
        'label'         => __( 'Discount Text 2', 'Luzuk' )
    )
);

lzCustomLable($wp_customize, 'sec_call_rightboxclr', 'banner_section', 'Banner Color Setting');

addColorPalatOption($wp_customize, 'banner_imgbrdclr', 'banner_section', 'Image Border Color', '#d88e2d');

addColorPalatOption($wp_customize, 'banner_headingbxbgclr', 'banner_section', 'Heading Box BG Color', '#543602'); 

addColorPalatOption($wp_customize, 'banner_headclr', 'banner_section', 'Heading Color', '#F6E8DA'); 

addColorPalatOption($wp_customize, 'banner_crnrshptxtclr', 'banner_section', 'Sub Heading Color', '#F6E8DA');

addColorPalatOption($wp_customize, 'banner_headingtxtclr', 'banner_section', 'Heading Text Color', '#F9CDA0'); 

addColorPalatOption($wp_customize, 'banner_blinkingtxtclr', 'banner_section', 'Blinking Text Color', '#D88E2D'); 

addColorPalatOption($wp_customize, 'banner_blktxtclr', 'banner_section', 'Text Color', '#F5DBC1'); 

addColorPalatOption($wp_customize, 'banner_rgtcurvebgclr', 'banner_section', 'Right Side Curve BG Color', '#f9cda0'); 







//addColorPalatOption($wp_customize, 'banner_subheadingclr', 'banner_section', 'Sub Heading Color', '#F9CDA0');


//addColorPalatOption($wp_customize, 'banner_btntxtclr', 'banner_section', 'Button Text Color', '#fdfafa'); 

//addColorPalatOption($wp_customize, 'banner_btntxthvclr', 'banner_section', 'Button Text Hover Color', '#fdfafa'); 

//addColorPalatOption($wp_customize, 'banner_btnbgclr', 'banner_section', 'Button BG Color', '#ff85d8'); 

//addColorPalatOption($wp_customize, 'banner_btnbghvclr', 'banner_section', 'Button BG Hover Color', '#000'); 